org.springframework.test.web.servlet

## Interface ResultMatcher

    public interface ResultMatcher

Matches the result of an executed request against some expectation.

See static factory methods in `org.springframework.test.web.server.result.MockMvcResultMatchers`.

Example:

     static imports: MockMvcRequestBuilders.*, MockMvcResultMatchers.*

     mockMvc.perform(get("/form"))
       .andExpect(status.isOk())
       .andExpect(content().mimeType(MediaType.APPLICATION_JSON));

Since:
  3.2
Author:
  Rossen Stoyanchev

### Method Summary

Methods
`void` `match(MvcResult result)` Assert the result of an executed request.

### Method Detail

#### match

    void match(MvcResult result)
               throws Exception

Assert the result of an executed request.

Parameters:
  `result` - the result of the executed request
Throws:
  `Exception` - if a failure occurs